# modified elasticsearch without plugin deps shughes@redhat.com

Name:           elasticsearch
Version:        0.18.4
Release:        11%{?dist}
Summary:        A distributed, highly available, RESTful search engine

Group:          System Environment/Daemons
License:        ASL 2.0
URL:            http://www.elasticsearch.com
Source0:        %{name}-%{version}.tar.gz
Source1:        init.d-elasticsearch
Source2:        logrotate.d-elasticsearch
Source3:        config-logging.yml
Source4:        sysconfig-elasticsearch
Patch0:         elasticsearch-classpath.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch

Requires:       jpackage-utils
Requires:       java
Requires:	jline >= 0.9.94
Requires:	jna >= 3.2.4
Requires:	log4j >= 1.2.14
Requires:	lucene3 >= 3.0.3
Requires:       lucene3-contrib >= 3.0.3

Requires(post): chkconfig initscripts
Requires(pre):  chkconfig initscripts
Requires(pre):  shadow-utils

%description
A distributed, highly available, RESTful search engine

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0

%build
true

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_javadir}/%{name}/bin
install -p -m 755 bin/elasticsearch %{buildroot}%{_javadir}/%{name}/bin
install -p -m 644 bin/elasticsearch.in.sh %{buildroot}%{_javadir}/%{name}/bin

#libs
mkdir -p %{buildroot}%{_javadir}/%{name}/lib
install -p -m 644 lib/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}/lib

# config
mkdir -p %{buildroot}%{_sysconfdir}/elasticsearch
install -m 644 config/elasticsearch.yml %{buildroot}%{_sysconfdir}/%{name}
install -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/%{name}/logging.yml

# data
mkdir -p %{buildroot}%{_localstatedir}/lib/%{name}

# logs
mkdir -p %{buildroot}%{_localstatedir}/log/%{name}
install -D -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/elasticsearch

# sysconfig and init
mkdir -p %{buildroot}%{_sysconfdir}/rc.d/init.d
mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
install -m 755 %{SOURCE1} %{buildroot}%{_sysconfdir}/rc.d/init.d/elasticsearch
install -m 755 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/elasticsearch

mkdir -p %{buildroot}%{_localstatedir}/run/elasticsearch
mkdir -p %{buildroot}%{_localstatedir}/lock/subsys/elasticsearch

%pre
# create elasticsearch group
if ! getent group elasticsearch >/dev/null; then
        groupadd -r elasticsearch -g 183
fi

# create elasticsearch user
if ! getent passwd elasticsearch >/dev/null; then
        useradd -r -u 183 -g elasticsearch -d %{_javadir}/%{name} \
            -s /sbin/nologin -c "elasticsearch user" elasticsearch
fi

%post
/sbin/chkconfig --add elasticsearch

%preun
if [ $1 -eq 0 ]; then
  /sbin/service elasticsearch stop >/dev/null 2>&1
  /sbin/chkconfig --del elasticsearch
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_sysconfdir}/rc.d/init.d/elasticsearch
%config(noreplace) %{_sysconfdir}/sysconfig/elasticsearch
%{_sysconfdir}/logrotate.d/elasticsearch
%dir %{_javadir}/elasticsearch
%{_javadir}/elasticsearch/bin/*
%{_javadir}/elasticsearch/lib/%{name}-%{version}.jar
%config(noreplace) %{_sysconfdir}/elasticsearch
%doc LICENSE.txt  NOTICE.txt  README.textile
%defattr(-,elasticsearch,elasticsearch,-)
%dir %{_localstatedir}/lib/elasticsearch
%{_localstatedir}/run/elasticsearch
%dir %{_localstatedir}/log/elasticsearch

%changelog
* Mon Apr 9 2012 Bryan Kearney <bkearney@redht.com> - 0.18.4-11
- Downgrade the version of jna to 3.2.4 from 3.2.7

* Thu Apr 5 2012 Bryan Kearney <bkearney@redht.com> - 0.18.4-10
- Downgrade the version of log4j to 1.2.14 from 1.2.16.

* Mon Mar 26 2012 Jordan OMara <jomara@redhat.com> - 0.18.4-9
- Setting buildarch to noarch 

* Mon Mar 19 2012 Justin Sherrill <jsherril@redhat.com> - 0.18.4-8
- Setting static UID & GID for elasticsearch user

* Tue Jan 3 2012 Shannon Hughes <shughes@redhat.com> - 0.18.4-7
- remove sigar deps

* Wed Dec 14 2011 Shannon Hughes <shughes@redhat.com> - 0.18.4-6
- Initial package
